## lab ci trigger

Trigger a CI pipeline

### Synopsis

Runs a trigger for a CI pipeline on the given or current branch if none provided.
This API supports variables and must be called with a trigger token or from within GitLab CI.

Project will be inferred from branch if not provided

Note: "lab ci trigger" differs from "lab ci create" which is a different API

```
lab ci trigger [branch] [flags]
```

### Examples

```
lab ci trigger feature_branch
lab ci trigger -p engineering/integration_tests master
lab ci trigger -p engineering/integration_tests -v foo=bar master
```

### Options

```
  -h, --help               help for trigger
  -p, --project string     project to run pipeline trigger on
  -t, --token string       pipeline trigger token, optional if run within GitLabCI
  -v, --variable strings   variables to pass to pipeline
```

### Options inherited from parent commands

```
      --bridge string   Bridge job (downstream pipeline) name
      --debug           Enable debug logging level
      --follow          Follow bridge jobs (downstream pipelines) in a multi-projects setup
      --no-pager        Do not pipe output into a pager
      --quiet           Turn off any sort of logging. Only command output is printed
```

### SEE ALSO

* [lab ci](lab_ci.md)	 - Work with GitLab CI pipelines and jobs

###### Auto generated by spf13/cobra on 27-Jun-2022
